/* --------------------- RESET E BASE --------------------- */
body {
    font-family: 'Jost', sans-serif;
    margin: 0;
    background-color: #fff;
    color: #333;
}

img {
    max-width: 100%;
    height: auto;

}

.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

h1,
h2,
h3,
.texto-produtos p,
.texto-solucoes span,
.texto-tec h1 {
    font-family: 'Michroma', sans-serif;
    letter-spacing: 1px;
}

/* --------------------- ANIMAÇÃO BÁSICA --------------------- */

.fade-in-up {
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.8s ease-out;
}

.fade-in-up.show {
    opacity: 1;
    transform: translateY(0);
}

/* fade + escala */
.fade-in-scale {
    opacity: 0;
    transform: scale(0.9);
    transition: all 0.8s ease-out;
}

.fade-in-scale.show {
    opacity: 1;
    transform: scale(1);
}

.fade-rotate {
    opacity: 0;
    transform: rotate(-10deg);
    transition: all 0.8s ease-out;
}

.fade-rotate.show {
    opacity: 1;
    transform: rotate(0deg);
}

.zoom-in {
    opacity: 0;
    transform: scale(0.8);
    transition: all 0.8s ease-out;
}

.zoom-in.show {
    opacity: 1;
    transform: scale(1);
}

.slide-in-right {
    opacity: 0;
    transform: translateX(-100px);
    transition: all 0.8s ease-out;
}

.slide-in-right.show {
    opacity: 1;
    transform: translateX(1);
}

/* --------------------- BANNER --------------------- */
.banner-slide {
    position: relative;
    width: 100%;
    height: 73vh;
    margin: 0 auto;
    overflow: hidden;
}

.banner-slide::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 2;
    pointer-events: none;
}

.slide.active {
    opacity: 1;
    z-index: 1;
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/* --------------------- HERO --------------------- */
.hero {
    background-color: #FFF;
    padding: 30px 10px;
    text-align: center;
    color: #0f035b;
}

.hero h1 {
    font-size: clamp(1.8rem, 4vw, 2.4rem);
}

.hero p {
    font-size: clamp(1rem, 2.5vw, 1.2rem);
}

.texto {
    width: 80%;
    max-width: 900px;
    text-align: center;
    margin: 40px auto;
}

/* --------------------- FEATURES --------------------- */
.features {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
    margin: 40px auto;
}

.features article {
    background-color: #b3e5fc;
    border-radius: 12px;
    padding: 15px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    text-align: center;
}

.features article.dois {
    background-color: #83BBE0;
}

.features article:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.15);
}

.features h3 {
    margin-top: 0;
    color: #0f035b;
}

.features p {
    font-size: 1rem;
}

/* --------------------- LEADS --------------------- */
.leads {
    padding: 40px 0;
    background-color: #0f035b;
    color: #fff;
    text-align: center;
    margin-top: 50px;
}

.leads h2 {
    margin-bottom: 20px;
}

.leads p {
    text-align: left;
    width: 85%;
    margin: 10px auto;
}

.leads .image-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.leads img {
    width: auto;
    max-width: 30%;
    margin: 10px;
}

@media (max-width: 768px) {
    .leads img {
        max-width: 45%;
    }
}

@media (max-width: 500px) {
    .leads img {
        max-width: 90%;
    }
}

/* --------------------- HOW --------------------- */
.how-container {
    text-align: center;
    padding: 20px 20px;
    background-color: #f9f9f9;
}

.how-container .intro-text {
    font-size: 1.1rem;
    max-width: 800px;
    margin: 0 auto 40px auto;
    color: #333;
}

.how-container h5 {
    font-size: 2.5em;
    font-weight: 400;
}

.how-grid {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.how-item,
.how-dois {
    padding: 30px 20px;
    border-radius: 20px;
    width: 300px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.how-item {
    background-color: #1b1442;
    color: #fff;
}

.how-dois {
    background-color: #40E9BF;
    color: #1b1442;
}

.how-item:hover,
.how-dois:hover {
    transform: translateY(-5px);
}

.how-item img,
.how-dois img {
    width: 30%;
    height: auto;
    margin: 0 auto 15px auto;
}

.how-item h4,
.how-dois h4 {
    font-size: 1.2rem;
    margin-bottom: 10px;
}

.how-item p,
.how-dois p {
    font-size: 1rem;
    line-height: 1.4;
}

/* --------------------- GALERIA --------------------- */
.galeria-pratisys {
    width: 100%;
    padding: 0;
    margin: 0;
    background: #fff;
}

.galeria-wrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-width: 100%;
}

.galeria-linha,
.galeria-linha-2 {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    padding: 0 10px;
}

.img-grande {
    flex: 2;
}

.img-coluna {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.img-grande-2 {
    flex: 1;
}

.img-coluna-2 {
    flex: 2;
}

.img-grande img,
.img-coluna img,
.img-coluna-2 img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 4px;
}

.img-grande-2 img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 4px;
}

@media (max-width: 900px) {

    .galeria-linha,
    .galeria-linha-2 {
        flex-direction: column;
    }

    .img-grande,
    .img-coluna,
    .img-grande-2,
    .img-coluna-2 {
        width: 100%;
    }
}

/* --------------------- CONTATO --------------------- */
.contato {
    width: 90%;
    margin: 40px auto;
    background-color: rgb(54, 139, 228);
    color: #FFF;
    border-radius: 25px;
    padding: 20px;
    text-align: center;
}

.contato h3 {
    font-size: clamp(1rem, 2.5vw, 1.3rem);
    margin-bottom: 15px;
}

.contato a {
    color: #FFF;
    font-weight: bold;
}